#!/usr/bin/env python
#
# ----------------------------------------------------------------------
#
# Brad T. Aagaard, U.S. Geological Survey
# Charles A. Williams, GNS Science
# Matthew G. Knepley, University of Chicago
#
# This code was developed as part of the Computational Infrastructure
# for Geodynamics (http://geodynamics.org).
#
# Copyright (c) 2010-2016 University of California, Davis
#
# See COPYING for license information.
#
# ----------------------------------------------------------------------
#

## @file pylith/__init__.py

## @brief Python top-level PyLith module initialization

__version__ = "2.1.4"

__all__ = ['apps',
           'bc',
           'faults',
           'feassemble',
           'materials',
           'meshio',
           'mpi',
           'problems',
           'topology',
           'utils',
           'tests',
           ]


# End of file
